import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _SRFaceMetricsExpression extends _NSObject {
    static alloc(): _SRFaceMetricsExpression;
    static new(): _SRFaceMetricsExpression;
    init(): _SRFaceMetricsExpression;
    /**
     * @property identifier @brief An opaque identifier for the face expression @discussion More information about what this face expression represents can be found in Apple's developer documentation
     */
    identifier(): _NSString;
    /**
     * @property value @brief double value indicating the current position of the expression
     */
    value(): number;
}
export interface _SRFaceMetricsExpression extends _NSCopying, _NSSecureCoding {
}
